## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XercesWrapperNavigatorAllocator Class Reference

List of all members.

## Public Types

- typedef XercesWrapperNavigator ObjectType
- typedef ArenaAllocator< ObjectType > ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Member Functions

- XercesWrapperNavigatorAllocator (MemoryManagerType &theManager, size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size.
- ~XercesWrapperNavigatorAllocator ()
- ObjectType * create (XercesDocumentWrapper *theOwnerDocument)
    Create a XercesWrapperNavigator instance.
- void reset ()
    Delete all objects from allocator.
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block.
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated.

## Member Typedef Documentation

typedef ArenaAllocator<ObjectType> XercesWrapperNavigatorAllocator::ArenaAllocatorType

typedef XercesWrapperNavigator XercesWrapperNavigatorAllocator::ObjectType

typedef ArenaAllocatorType::size_type XercesWrapperNavigatorAllocator::size_type

## Constructor & Destructor Documentation

XercesWrapperNavigatorAllocator::XercesWrapperNavigatorAllocator | ( | MemoryManagerType & | theManager,
|  | size_type | theBlockCount
| ) |

  | Construct an instance that will allocate blocks of the specified size. Parameters:
  theBlockSize | The block size.

XercesWrapperNavigatorAllocator::~XercesWrapperNavigatorAllocator | ( |  | ) |

## Member Function Documentation

ObjectType* XercesWrapperNavigatorAllocator::create | ( | XercesDocumentWrapper * | theOwnerDocument | ) |

  | Create a XercesWrapperNavigator instance. Parameters:
  theOwnerDocument | The XercesDocumentWrappter instance for this instance.
Returns: pointer to the instance

size_type XercesWrapperNavigatorAllocator::getBlockCount | ( |  | ) | const

| Get size of an ArenaBlock, that is, the number of objects in each block. Returns: The size of the block

size_type XercesWrapperNavigatorAllocator::getBlockSize | ( |  | ) | const

| Get the number of ArenaBlocks currently allocated. Returns: The number of blocks.

void XercesWrapperNavigatorAllocator::reset | ( |  | ) |

| Delete all objects from allocator.

The documentation for this class was generated from the following file:

- XercesWrapperNavigatorAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.